Bio::MAGETAB::Factor(3)

NAME
Bio::MAGETAB::Factor - MAGE-TAB experimental factor class

SYNOPSIS
 use Bio::MAGETAB::Factor;

DESCRIPTION
This class is used to store information on the factors being probed by a given investigation in MAGE-TAB. See the BaseClass class for superclass methods.

ATTRIBUTES

name (required)
    The name of the factor (data type: String).

factorType (optional)
    The type of the factor. This typically links to an ontology of experimental factor terms (e.g. "disease_state", "strain_or_line" etc.; data type: Bio::MAGETAB::ControlledTerm).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).